"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrapPlugin = exports.runPlugin = exports.api = void 0;
var jscodeshift_1 = __importDefault(require("jscodeshift"));
// simulate the jscodeshift api
function api(options) {
    var j = jscodeshift_1.default;
    if (options.parser) {
        j = j.withParser(options.parser);
    }
    return {
        jscodeshift: j,
        j: j,
        stats: function () { },
        report: function () { },
    };
}
exports.api = api;
function runPlugin(plugin, source, options) {
    if (options === void 0) { options = {}; }
    return plugin({ source: source, path: 'test.js' }, api(options), options);
}
exports.runPlugin = runPlugin;
function wrapPlugin(plugin) {
    return function (source, options) {
        if (options === void 0) { options = {}; }
        return runPlugin(plugin, source, options) || null;
    };
}
exports.wrapPlugin = wrapPlugin;
